<?xml version="1.0" encoding="utf-8"?>
<androidx.appcompat.widget.LinearLayoutCompat xmlns:android="http://schemas.android.com/apk/res/android"
    xmlns:app="http://schemas.android.com/apk/res-auto"
    xmlns:tools="http://schemas.android.com/tools"
    android:layout_width="match_parent"
    android:layout_height="match_parent"
    android:orientation="vertical"
    tools:context=".ui.activity.data.DataBoardActivity">

    <FrameLayout
        android:layout_width="match_parent"
        android:layout_height="wrap_content">

        <include
            android:id="@+id/data_board_top_bar"
            layout="@layout/layout_top_bar" />

        <include
            android:id="@+id/iv_data_board_pet_head"
            layout="@layout/layout_head_image_view"
            android:layout_width="@dimen/dp_28"
            android:layout_height="@dimen/dp_28"
            android:layout_gravity="end|bottom"
            android:layout_marginEnd="@dimen/dp_8"
            android:layout_marginBottom="@dimen/dp_12" />
    </FrameLayout>


    <androidx.core.widget.NestedScrollView style="@style/my_ScrollView_style">

        <androidx.appcompat.widget.LinearLayoutCompat
            android:layout_width="match_parent"
            android:layout_height="match_parent"
            android:orientation="vertical"
            android:paddingHorizontal="@dimen/dp_16">

            <include
                android:id="@+id/il_data_board_total_distance"
                layout="@layout/layout_data_board_item"
                android:layout_width="match_parent"
                android:layout_height="wrap_content"
                android:visibility="gone"
                android:layout_marginTop="@dimen/dp_16" />

            <include
                android:id="@+id/il_data_board_avg_activity_time"
                layout="@layout/layout_data_board_item"
                android:layout_width="match_parent"
                android:layout_height="wrap_content"
                android:layout_marginTop="@dimen/dp_16" />

            <include
                android:id="@+id/il_data_board_avg_calories"
                layout="@layout/layout_data_board_item"
                android:layout_width="match_parent"
                android:layout_height="wrap_content"
                android:layout_marginTop="@dimen/dp_16" />

            <include
                android:id="@+id/il_data_board_avg_sleep_time"
                layout="@layout/layout_data_board_item"
                android:layout_width="match_parent"
                android:layout_height="wrap_content"
                android:layout_marginTop="@dimen/dp_16" />

            <com.abbidot.tracker.widget.TypefaceTextView
                style="@style/my_TextView_style_v2"
                android:layout_marginTop="@dimen/dp_50"
                android:text="@string/txt_fix_daily_goal"
                android:textSize="@dimen/textSize20"
                android:textStyle="bold" />

            <com.abbidot.tracker.widget.RingScaleView
                android:id="@+id/rs_data_board_set_goal_view"
                android:layout_width="match_parent"
                android:layout_height="@dimen/dp_255"
                android:layout_marginTop="@dimen/dp_32" />

            <com.abbidot.tracker.widget.TypefaceTextView
                style="@style/my_TextView_style_v2"
                android:layout_width="match_parent"
                android:layout_marginTop="@dimen/dp_32"
                android:text="@string/txt_awesome_ready_begin"
                android:textSize="@dimen/textSize16"
                android:textStyle="bold" />

            <com.abbidot.tracker.widget.TypefaceTextView
                style="@style/my_TextView_style_v2"
                android:layout_width="match_parent"
                android:layout_marginTop="@dimen/dp_10"
                android:text="@string/txt_fix_goal_tip"
                android:textColor="@color/select_color3"
                android:textSize="@dimen/textSize12"
                app:lineHeight="@dimen/textSize16"
                app:typeface="@string/roboto_regular_font" />

            <com.abbidot.tracker.widget.TypefaceButton
                android:id="@+id/btn_data_board_save"
                style="@style/my_match_RoundRect_Button_style"
                android:text="@string/acccount_btn_save"
                app:qmui_radius="@dimen/dp_56"
                app:typeface="@string/roboto_bold_font" />

        </androidx.appcompat.widget.LinearLayoutCompat>
    </androidx.core.widget.NestedScrollView>
</androidx.appcompat.widget.LinearLayoutCompat>